package cn.sh.stc.sict.theme.hpgp.service.impl;

import cn.hutool.core.util.StrUtil;
import cn.sh.stc.sict.theme.hpgp.dao.HpgpKsHotMapper;
import cn.sh.stc.sict.theme.hpgp.model.HpgpKsHot;
import cn.sh.stc.sict.theme.hpgp.service.HpgpKsHotService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * (HpgpKsHot)表服务实现类
 *
 * @author gao
 * @since 2022-11-07 10:33:21
 */
@Service("hpgpKsHotService")
public class HpgpKsHotServiceImpl extends ServiceImpl<HpgpKsHotMapper, HpgpKsHot> implements HpgpKsHotService {

    @Override
    public List<HpgpKsHot> listHotDept(String yljgdm, int size) {
        LambdaQueryWrapper<HpgpKsHot> wrapper = Wrappers.lambdaQuery();
        wrapper.eq(HpgpKsHot::getGzh, StrUtil.isBlank(yljgdm) ? "ALL" : yljgdm)
                .orderByAsc(HpgpKsHot::getRankScore)
                .last("limit " + size);
        return this.list(wrapper);
    }
}
